com.smartgwt.client.widgets.calendar

## Class DateHeaderCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.calendar.DateHeaderCustomizer

-     public abstract class DateHeaderCustomizer
      extends java.lang.Object

  Called to determine the HTML to be displayed in the header for a given date column in a CalendarView

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateHeaderCustomizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getHeaderTitle(java.util.Date date, int dayOfWeek, java.lang.String defaultValue, CalendarView calendarView)` getHeaderTitle() should be implemented and return the HTML string to display in the header for the passed date or dayOfWeek.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateHeaderCustomizer

          public DateHeaderCustomizer()

  - ### Method Detail

    - #### getHeaderTitle

          public abstract java.lang.String getHeaderTitle(java.util.Date date,
                                        int dayOfWeek,
                                        java.lang.String defaultValue,
                                        CalendarView calendarView)

      getHeaderTitle() should be implemented and return the HTML string to display in the header for the passed date or dayOfWeek. To access the Calendar itself, use calendarView.getCalendar().
      Parameters:
        `date` - the date to return the header-title for - note that the month view passes a dayOfWeek value but not a date, because a single column represents multiple dates
        `dayOfWeek` - the week-day number of the passed date
        `defaultValue` - the default header title - returning null will also use this value
        `calendarView` - the view in which the date header is being rendered
      Returns:
        HTML string to display in the header for the passed date or dayNum in the passed view